<?php
/**
 * Plugin Name: TheM Demo Import
 * Plugin URI: http://fitwp.com
 * Description: Import the demo content with only one click!
 * Author: FitWP
 * Author URI: http://fitwp.com
 * Version: 1.0
 */

defined( 'ABSPATH' ) || exit;

if ( ! is_admin() ) {
	return;
}

define( 'FITWP_DEMO_DIR', plugin_dir_path( __FILE__ ) );
define( 'FITWP_DEMO_URL', plugin_dir_url( __FILE__ ) );

require FITWP_DEMO_DIR . 'inc/importer.php';
require FITWP_DEMO_DIR . 'inc/page.php';

/**
 * Main class for importing demo content.
 */
class TheM_Demo_Importer extends FitWP_Demo_Importer {
	/**
	 * Choose which parts will be imported.
	 */
	public function process() {
		parent::process();
		$this->setup_woocommerce();
	}

	/**
	 * Setup WooCommerce settings.
	 */
	protected function setup_woocommerce() {
		// WooCommerce pages
		$pages = array( 'Shop', 'My Account', 'Cart', 'Checkout' );
		foreach ( $pages as $page ) {
			$page_object = get_page_by_title( $page );
			$option      = 'woocommerce_' . strtolower( str_replace( ' ', '', $page ) ) . '_page_id';
			update_option( $option, $page_object->ID );
		}

		// WooCommerce image settings
		update_option( 'shop_catalog_image_size', array( 350, 350, false ) );
		update_option( 'shop_single_image_size', array( 547, 0, false ) );
		update_option( 'shop_thumbnail_image_size', array( 135, 135, false ) );
	}
}

$importer = new TheM_Demo_Importer;
$page     = new FitWP_Demo_Page( $importer );
$page->init();
